package gregapi.item.multiitem.food;

import gregapi.item.multiitem.MultiItemRandom;

import java.util.List;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.EnumAction;
import net.minecraft.item.ItemStack;

public interface IFoodStat {
	/** Warning: the "aPlayer" Parameter may be null! May return a number between 0 and 20, 1 being half a Pork. */
	public int getFoodLevel(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	/** Warning: the "aPlayer" Parameter may be null! May return a Number between 0.0F and 1.0F */
	public float getSaturation(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	/** Warning: the "aPlayer" Parameter may be null! Amount of Water you get from this, negative = salty [-100.0F - 100.0F] */
	public float getHydration(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	/** Warning: the "aPlayer" Parameter may be null! Temperature you get from this in Kelvin. C+37 is Body Temperature. */
	public float getTemperature(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	/** Warning: the "aPlayer" Parameter may be null! Temperature modification strength. Usually 0.5F for things that can affect it and 0.1F for things that can't do much. 1.0F is max! */
	public float getTemperatureEffect(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	/** Warning: the "aPlayer" Parameter may be null! */
	public boolean alwaysEdible(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	/** Warning: the "aPlayer" Parameter may be null! */
	public boolean isRotten(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	/** Warning: the "aPlayer" Parameter may be null! */
	public EnumAction getFoodAction(MultiItemRandom aItem, ItemStack aStack);
	/** Warning: the "aPlayer" Parameter may be null! */
	public boolean useAppleCoreFunctionality(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	
	public void onEaten(MultiItemRandom aItem, ItemStack aStack, EntityPlayer aPlayer);
	
	public void addAdditionalToolTips(MultiItemRandom aItem, List aList, ItemStack aStack, boolean aF3_H);
}